compact3
javax.management

## Class MBeanRegistrationException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.management.JMException
      - - javax.management.MBeanException
        - - javax.management.MBeanRegistrationException

- All Implemented Interfaces:
    Serializable

      public class MBeanRegistrationException
      extends MBeanException

  Wraps exceptions thrown by the preRegister(), preDeregister() methods of the `MBeanRegistration` interface.
  Since:
    1.5
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MBeanRegistrationException(Exception e)` Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.
    `MBeanRegistrationException(Exception e, String message)` Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.

  - ### Method Summary

    - ### Methods inherited from class javax.management.MBeanException

      `getCause, getTargetException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MBeanRegistrationException

          public MBeanRegistrationException(Exception e)

      Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception`.
      Parameters:
        `e` - the wrapped exception.

    - #### MBeanRegistrationException

          public MBeanRegistrationException(Exception e,
                                            String message)

      Creates an `MBeanRegistrationException` that wraps the actual `java.lang.Exception` with a detailed message.
      Parameters:
        `e` - the wrapped exception.
        `message` - the detail message.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2017, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.